public static interface GenerateAppResourceRequest.ToolGenerationConfig.OpenApiToolsetGenerationConfig.OperationGenerationConfigOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getMethod()
public abstract String getMethod()Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The method. |
getMethodBytes()
public abstract ByteString getMethodBytes()Required. The uri of the tool. This should include query and path parameters if any.
string method = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for method. |
getPath()
public abstract String getPath()Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The path. |
getPathBytes()
public abstract ByteString getPathBytes()Required. The path of the tool to be appended to the base uri. This should include query and path parameters if any.
string path = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for path. |
getRequestJson()
public abstract String getRequestJson()Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The requestJson. |
getRequestJsonBytes()
public abstract ByteString getRequestJsonBytes()Required. A sample request to the tool in JSON format. Skip if the tool does not support request body.
string request_json = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for requestJson. |
getResponseJson()
public abstract String getResponseJson()Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The responseJson. |
getResponseJsonBytes()
public abstract ByteString getResponseJsonBytes()Required. A sample response from the tool in JSON format.
string response_json = 4 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for responseJson. |